Subject: Re: [PATCH 11/16] repack-geometry: prepare for incremental MIDX repacking

From: Jeff King <[email-masked]>
Date: Tue, 7 Apr 2026 02:10:24 -0400

On Sun, Mar 29, 2026 at 05:41:18PM -0400, Taylor Blau wrote:

> Teach `pack_geometry_init()` to optionally restrict the set of
> repacking candidates to only packs in the tip MIDX layer when a
> `midx_layer_threshold` is configured. If the tip layer has fewer packs
> than the threshold, those packs are excluded entirely; otherwise only
> packs in that layer participate in the geometric repack.

My first question of course is "so how do we set that threshold?". But
it looks like that is not done yet in this commit, so this is mostly
dead code preparing for later (and thus no tests). OK.

-Peff